ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 862
Committed: Fri Feb 16 22:20:45 2007 UTC (17 years, 2 months ago) by laffer1
File size: 5244 byte(s)
Log Message:
add new category ports-mgmt

File Contents

# Content
1 # $MidnightBSD: mports/Makefile,v 1.29 2007/01/24 19:50:00 laffer1 Exp $
2 #
3
4 SUBDIR += accessibility
5 SUBDIR += archivers
6 SUBDIR += audio
7 SUBDIR += benchmarks
8 SUBDIR += comms
9 SUBDIR += converters
10 SUBDIR += databases
11 SUBDIR += deskutils
12 SUBDIR += devel
13 SUBDIR += dns
14 SUBDIR += editors
15 SUBDIR += emulators
16 SUBDIR += ftp
17 SUBDIR += games
18 SUBDIR += german
19 SUBDIR += graphics
20 SUBDIR += irc
21 SUBDIR += java
22 SUBDIR += lang
23 SUBDIR += mail
24 SUBDIR += math
25 SUBDIR += misc
26 SUBDIR += multimedia
27 SUBDIR += net
28 SUBDIR += net-im
29 SUBDIR += net-mgmt
30 SUBDIR += net-p2p
31 SUBDIR += news
32 SUBDIR += palm
33 SUBDIR += ports-mgmt
34 SUBDIR += print
35 SUBDIR += security
36 SUBDIR += shells
37 SUBDIR += sysutils
38 SUBDIR += textproc
39 SUBDIR += www
40 SUBDIR += x11
41 SUBDIR += x11-clocks
42 SUBDIR += x11-fonts
43 SUBDIR += x11-fm
44 SUBDIR += x11-servers
45 SUBDIR += x11-themes
46 SUBDIR += x11-toolkits
47 SUBDIR += x11-wm
48
49 PORTSTOP= yes
50
51 .include <bsd.port.subdir.mk>
52
53 index:
54 @rm -f ${INDEXDIR}/${INDEXFILE}
55 @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
56
57 fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
58 @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
59 chmod a+r ${INDEXDIR}/${INDEXFILE}
60
61 ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
62 @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
63
64 MASTER_SITE_INDEX?= http://www.MidnightBSD.org/ports/
65 SETENV?= /usr/bin/env
66 FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
67 INDEX_JOBS?= 2
68
69 .if !defined(INDEX_VERBOSE)
70 INDEX_ECHO_MSG= echo > /dev/null
71 INDEX_ECHO_1ST= echo -n
72 .else
73 INDEX_ECHO_MSG= echo 1>&2
74 INDEX_ECHO_1ST= echo
75 .endif
76
77 ${INDEXDIR}/${INDEXFILE}:
78 @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
79 if [ "${INDEX_PRISTINE}" != "" ]; then \
80 export LOCALBASE=/nonexistentlocal; \
81 export X11BASE=/nonexistentx; \
82 fi; \
83 tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
84 trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
85 ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
86 ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
87 (rm -rf $${tmpdir} ; \
88 if [ "${INDEX_QUIET}" = "" ]; then \
89 echo; \
90 echo "********************************************************************"; \
91 echo "Before reporting this error, verify that you are running a supported"; \
92 echo "version of MidnightBSD (see http://www.MidnightBSD.org/ports/) and that you"; \
93 echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
94 echo "not supported with partial or out-of-date ports collections -- in"; \
95 echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
96 echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
97 echo "report the failure to ports@MidnightBSD.org together with relevant"; \
98 echo "details of your ports configuration (including MidnightBSD version,"; \
99 echo "your architecture, your environment, and your /etc/make.conf"; \
100 echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
101 echo; \
102 echo "Note: the latest pre-generated version of INDEX may be fetched"; \
103 echo "automatically with \"make fetchindex\"."; \
104 echo "********************************************************************"; \
105 echo; \
106 fi; \
107 exit 1); \
108 cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
109 sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
110 sort -t '|' +1 -2 | \
111 sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
112 if [ "${INDEX_PRISTINE}" != "" ]; then \
113 sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
114 ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
115 else \
116 mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
117 fi; \
118 rm -rf $${tmpdir}; \
119 echo " Done."
120
121 print-index: ${INDEXDIR}/${INDEXFILE}
122 @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
123
124 CVS?= cvs
125 SUP?= csup
126 PORTSNAP?= portsnap
127 PORTSNAP_FLAGS?= -p ${.CURDIR}
128 .if defined(SUPHOST)
129 SUPFLAGS+= -h ${SUPHOST}
130 .endif
131 update:
132 .if defined(PORTSNAP_UPDATE)
133 @echo "--------------------------------------------------------------"
134 @echo ">>> Running ${PORTSNAP}"
135 @echo "--------------------------------------------------------------"
136 @${PORTSNAP} ${PORTSNAP_FLAGS} fetch
137 @${PORTSNAP} ${PORTSNAP_FLAGS} update
138 .elif defined(SUP_UPDATE) && defined(PORTSSUPFILE)
139 @echo "--------------------------------------------------------------"
140 @echo ">>> Running ${SUP}"
141 @echo "--------------------------------------------------------------"
142 @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
143 .elif defined(CVS_UPDATE)
144 @echo "--------------------------------------------------------------"
145 @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
146 @echo "--------------------------------------------------------------"
147 cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
148 .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
149 @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
150 @exit 1
151 .else
152 @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
153 .endif

Properties

Name Value
cvs2svn:cvs-rev 1.30